<?
include 'config.php';
include 'func.php';
head();
aut();



mysql_query("UPDATE `profile` SET `online` = 'panel' WHERE `id` = '".$id_session."'");



if($user[level] == 4){
switch($_GET['act']){
default:
echo "<div class=\"head\"><b>Цитатник</b></div><div class=\"main\">";  

if(empty($_POST['info'])){
echo '<form action="citat.php" method="POST" name="form" enctype="multipart/form-data">';
echo '<b>Цитата:</b><br/>
<textarea id="tarea" name="info" cols="30" rows="5"></textarea><br/><br/>';
print '<b>Изображение к цитате:</b><br />
<input type="file" class="button" name="file"><br /><input type="submit" class="button" name="doUpload" value="Добавить"></form><br/>';

$ct = mysql_result(mysql_query("SELECT count(*) FROM `citat`"), 0);
echo "<br/>Всего цитат: <b>".$ct."</b></div>";

}else{



$file = $_FILES['file']['tmp_name'];
$filename = $_FILES['file']['name'];
if(!empty($file))
{
    


ini_set('memory_limit', '32M');
$maxsize = "102800000";




$extentions = array("jpg","jpeg","png","gif", "bmp");

$size = filesize ($_FILES['file']['tmp_name']);
$type = strtolower(substr($filename, 1+strrpos($filename,".")));
$new_name = 'file-'.time().'.'.$type;

echo $razdel_info['tip'];

if($size > $maxsize)
{
echo "Файл больше 100 мб. Уменьшите размер вашего файла или загрузите другой. <br><a href='' onClick=window.close();>Закрыть окно</a>";
}

elseif(!in_array($type,$extentions))
{
echo ' <b>Файл имеет недопустимое расширение</b>. Допустимыми являются форматы изображений, видеофайлов, флэш-роликов и текстовых документов. <br>';
}
else
{

if (copy($file, "ct/".$new_name))
{



if(strlen($_POST['info'])==0) $error = 'Описание не заполнено';

if($error)
{
    echo $error;
}else{
$name = html($_POST['name']);
$info = html($_POST['info']);

echo "Файл загружен!<br>";
echo "Размер: <b>".floor($size)."</b> кб.<br/>";
$file = "ct/".$new_name."";

mysql_query("INSERT INTO `citat` SET `file` = '".$file."', `info` = '".$info."'");

}
}
else{ echo "Файл НЕ был загружен.";
}
}
}
}


}
}

navig();
foot();